Skip to main content
GET
/
monitors
/
{monitor_id}
/
events
curl "https://api.dataforb2b.ai/monitors/42/events?limit=20" \
  -H "api_key: YOUR_api_key"
[
  {
    "id": 9012,
    "signal": "post_engagement",
    "event_type": "post_engagement",
    "target": { "type": "profile", "key": "ACoAA…" },
    "data": { "post": {}, "new_reactions": [], "new_comments": [], "count": 3 },
    "created_at": "2026-06-12T10:47:18.000000"
  }
]
Returns recent events delivered to a monitor, newest first.

Path Parameters

monitor_id
number
required
The monitor.

Query Parameters

limit
number
default:"50"
Max events to return.
offset
number
default:"0"
Pagination offset.

Response

id
number
Event ID
signal
string
The signal
event_type
string
The sub-event
target
object
{ type, key }
data
object
The signal-specific body — see Signal Catalog
created_at
string
ISO 8601 timestamp
curl "https://api.dataforb2b.ai/monitors/42/events?limit=20" \
  -H "api_key: YOUR_api_key"
[
  {
    "id": 9012,
    "signal": "post_engagement",
    "event_type": "post_engagement",
    "target": { "type": "profile", "key": "ACoAA…" },
    "data": { "post": {}, "new_reactions": [], "new_comments": [], "count": 3 },
    "created_at": "2026-06-12T10:47:18.000000"
  }
]